const _ = require('lodash')

module.exports = () => {
  return [{
    text: 'Upper left side',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:UpperLeftQuadrant'
  }, {
    text: 'Lower left side',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:LowerLeftQuadrant'
  }, {
    text: 'Upper right side',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:UpperRightQuadrant'
  }, {
    text: 'Lower right side',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:LowerRightQuadrant'
  }, {
    text: 'Area above the stomach',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:Epigastric'
  }, {
    text: 'In the pelvic region',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:Pelvic'
  }, {
    text: 'Around the belly button',
    attributeStateKey: 'finding:AbdominalPain:attribute:Position:state:PeriUmbilical'
  }, {
    text: 'Don\'t know',
    state: 'ATTRIBUTE_SKIP'
  }].map((attribute) => {
    return _.defaults(attribute, {
      state: 'ATTRIBUTE_YES',
      type: 'SELECT',
      symptomKey: 'finding:AbdominalPain',
      attributeKey: 'finding:AbdominalPain:attribute:Position',
      undo: 'REMOTE'
    })
  })
}
